#!/bin/bash
set -e

# Ожидание готовности базы данных
until wp db check; do
    echo "Ожидание базы данных..."
    sleep 5
done

# Установка WordPress
if ! wp core is-installed; then
    wp core install --url="http://localhost:8000" --title="Библиотека" --admin_user="admin" --admin_password="admin_password" --admin_email="admin@example.com" --skip-email
fi

exec apache2-foreground